=== gsoap/mod_gsoap/gsoap_win/isapi/vs2010/samples/Makefile ===
all:
	cd calc
		$(MAKE)
	cd ..
	cd dime
		$(MAKE)
	cd ..


clean:
	cd calc
		$(MAKE) clean
	cd ..
	cd dime
		$(MAKE) clean
	cd ..
